Page MenuHomePhabricator

Research end user effect of using one rollback approach or the other
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2019, 11:35 AM
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-14 board.
Pablo-WMDE added a comment.EditedApr 30 2019, 3:54 PM

TL;DR I can't tell

504857

507036

In both scenarios it is evident that the modification to the entity contained in the vuex store causes a continuous growth of JS heap used while the difference in implementation causes no observable or consistently measurable difference. Suggestion regarding methodology welcome.

Pablo-WMDE reassigned this task from Pablo-WMDE to Tarrow.May 2 2019, 8:13 AM
Tarrow added a comment.May 2 2019, 9:34 AM

Attempting to research with the following plan: Using the standard android SDK With a nexus 4 (google flagship phone from 2012) with and android API v22 (the oldest I could see in the list)

Connected to mediwiki-docker-dev by adding *.10.0.2.2.xip.io to the VIRTUAL_HOST ENV var of the web mediawiki-docker-dev container.

Then visiting default.10.0.2.2.xip.io to see the local copy of the site.

I then checked out each patch for investigation and manually copied to the wikibase view termbox submodule and ran the SSR server with docker-compose up.

Using a test entity of Q64 from wikidata imported into a fresh mediawiki-docker-dev database using WikibaseImport. The test entity was to be found on Q4 after import.

Jakob_WMDE added a subscriber: Jakob_WMDE.
Tarrow added a comment.May 2 2019, 9:39 AM

I was unable to determine any difference with Q64. Gifs of each codebase are attached. In each test the page was loaded completely and then refreshed entering edit mode and adding 4 x 2 characters to the English label before clicking cancel

Tarrow added a comment.May 2 2019, 9:39 AM

I was unable to determine any difference with Q64. Gifs of each codebase are attached. In each test the page was loaded completely and then refreshed entering edit mode and adding 4 x 2 characters to the English label before clicking cancel

Also noticed no difference with Earth - Q2

Jakob_WMDE closed this task as Resolved.May 22 2019, 9:23 AM